Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Class DistributedQueryImpl

    java.lang.Object
      org.apache.openjpa.kernel.QueryImpl
          org.apache.openjpa.slice.DistributedQueryImpl

All Implemented Interfaces:
  Serializable, Query, QueryContext, QueryFlushModes, QueryOperations

    public class DistributedQueryImpl

extends QueryImpl

Extension with slice locking policy.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.QueryImpl
`QueryImpl.Compilation, QueryImpl.PackingResultObjectProvider, QueryImpl.RemoveOnCloseResultList`

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.QueryOperations
`OP_DELETE, OP_SELECT, OP_UPDATE`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Constructor Summary
`DistributedQueryImpl(Broker broker, String language, StoreQuery storeQuery)`

Method Summary
`Object` | `execute(Map params)` Overrides to set the query targets via policy, if user has not already set the targets via hint explicitly on this query.
`void` | `lock()` Always uses lock irrespective of super's multi-threaded settings.
`void` | `unlock()` Unlock the query's internal lock.

Methods inherited from class org.apache.openjpa.kernel.QueryImpl
`addAggregateListener, addFilterListener, assertNotReadOnly, assertNotSerialized, assertOpen, assertParameters, assertParameters, classForName, closeAll, closeResources, compilationFromCache, compile, declareParameters, decorateResultList, deleteAll, deleteAll, deleteAll, deleteInMemory, execute, execute, getAccessPathMetaDatas, getAggregateListener, getAggregateListeners, getAlias, getBroker, getCandidateCollection, getCandidateExtent, getCandidateType, getCompilation, getDataStoreActions, getEndRange, getFetchConfiguration, getFilterListener, getFilterListeners, getIgnoreChanges, getLanguage, getOperation, getOrderedParameterTypes, getParameterDeclaration, getParameterTypes, getProjectionAliases, getProjectionTypes, getQuery, getQueryString, getResultMappingName, getResultMappingScope, getResultType, getStartRange, getStoreContext, getStoreQuery, getUpdates, hasGrouping, hasSubclasses, isAccessPathDirty, isAggregate, isDistinct, isParsedQuery, isReadOnly, isUnique, removeAggregateListener, removeFilterListener, setCandidateCollection, setCandidateExtent, setCandidateType, setIgnoreChanges, setQuery, setRange, setReadOnly, setResultMapping, setResultType, setUnique, startLocking, stopLocking, toResult, toString, updateAll, updateAll, updateAll, updateInMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedQueryImpl

    public DistributedQueryImpl(Broker broker,
                                String language,
                                StoreQuery storeQuery)

Method Detail

### execute

    public Object execute(Map params)

  Overrides to set the query targets via policy, if user has not already set the targets via hint explicitly on this query.

  Specified by:
    `execute` in interface `Query`
  Overrides:
    `execute` in class `QueryImpl`

### lock

    public void lock()

  Always uses lock irrespective of super's multi-threaded settings.

  Specified by:
    `lock` in interface `QueryContext`
  Overrides:
    `lock` in class `QueryImpl`

### unlock

    public void unlock()

  Description copied from interface: `QueryContext`
  Unlock the query's internal lock.

  Specified by:
    `unlock` in interface `QueryContext`
  Overrides:
    `unlock` in class `QueryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.